#ifndef BUTTON_H
#define BUTTON_H

#include <string>
#include "Ptr.h"
#include "Component.h"
#include "Action.h"
#include "terminal.h"
using namespace terminal_star85;
class Button: public Component{
 public:
  static Ptr<Button> create(int x1, int y1, int x2, int y2,
			    std::string name, Ptr<Action_base> a);
  static Ptr<Button> create(int x, int y, std::string name, Ptr<Action_base> a);
  void show();
  bool handle_event(Event eve);
  void enter();
  void leave();
 private:
  Button(int x1, int y1, int x2, int y2, std::string name, Ptr<Action_base> a);
  Ptr<Action_base> action;
  std::string name;
};

#endif
