#ifndef COMPONENT_H
#define COMPONENT_H
#include "Rectangle.h"
#include "terminal.h"
using namespace terminal_star85;
class Component: public Rectangle{
 public:
  Component(int x1, int y1, int x2, int y2);
  virtual ~Component();
  virtual void show() = 0;
  virtual bool handle_event(Event eve) = 0;
  virtual void enter();
  virtual void leave();
  void erase();
 protected:
  void centralize(int& x, int& y, int strsiz);
};

#endif
