#ifndef ACTION_H
#define ACTION_H

#include "Action_base.h"

template<class T> class Action: public Action_base{
 public:
  Action(T *o, void(T::*f)());
  void perform();
 private:
  T *obj;
  void (T::*funk)();
};

template<class T> Action<T>::Action(T *o, void(T::*f)()):obj(o), funk(f){
}

template<class T> void Action<T>::perform(){
  (obj->*funk)();
}

template<class T>
Ptr<Action<T> > mk_action(T *o, void(T::*f)()){
  return Ptr<Action<T> >(new Action<T>(o, f));
}

#endif
