#ifndef COMPOUND_H
#define COMPOUND_H

#include "Ptr.h"
#include "Component.h"
#include "Action_base.h"
#include "terminal.h"
#include <map>
#include <vector>

class Compound: public Component{
 public:
  static Ptr<Compound> create(int x1, int y1, int x2, int y2);
  void show();
  bool handle_event(Event eve);
  void add(Ptr<Component> ptr);
  void add_com(terminal_star85::terminal::Keycodes key, Ptr<Action_base> act);
  void remove(Ptr<Component> comp);
  void remove_all();
 private:
  Compound(int x1, int y1, int x2, int y2);
  std::vector<Ptr<Component> > vec;
  std::map<terminal_star85::terminal::Keycodes, Ptr<Action_base> > com;
};

#endif
