#include "Label.h"
#include "terminal.h"
extern terminal term;
using namespace terminal_star85;

Label::Label(int x1, int y1, int x2, int y2, std::string text):
  Passive(x1, y1, x2, y2), text(text){
}

Ptr<Label> Label::create(int x1, int y1, int x2, int y2, std::string text){
  return Ptr<Label>(new Label(x1, y1, x2, y2, text));
}

void Label::show(){
  term.box(getUprl().first,
	   getUprl().second, 
	   getLowr().first,
	   getLowr().second);
  int xoffset;
  int yoffset;
  centralize(xoffset, yoffset, text.size());
  term << savecur << curmove(xoffset, yoffset) << text << restcur; 
}

void Label::set_text(std::string text){
  this->text = text;
  show();
}
