#ifndef LABEL_H
#define LABEL_H

#include <string>
#include "Ptr.h"
#include "Passive.h"

class Label: public Passive{
 public:
  static Ptr<Label> create(int x1, int y1, int x2, int y2, std::string text = "");
  void show();
  void set_text(std::string text);
 private:
  Label(int x1, int y1, int x2, int y2, std::string text);
  std::string text;
};

#endif
