#ifndef MENY_H
#define MENY_H

#include "Ptr.h"
#include "Component.h"
#include "Action_base.h"
#include "terminal.h"
#include "Compound.h"
#include <map>
#include <vector>
#include <string>

class Meny: public Component{
 public:
  static Ptr<Meny> create(int x1, int y1, int x2, int y2, bool isHor);
  void show();
  bool handle_event(Event eve);
  void add(std::string men, Ptr<Action_base> act);
  void add_com(terminal_star85::terminal::Keycodes key, Ptr<Action_base> act);
 private:
  Meny(int x1, int y1, int x2, int y2, bool isHor);
  Ptr<Compound> comp;
  bool isHor;
  std::vector<std::pair<std::string, Ptr<Action_base> > > menVec;
  void next_left();
  void next_right();
  void next_up();
  void next_down();
};
#endif
