#include "Value.h"
#include "Session.h"
#include "Ptr.h"
#include "Component.h"
#include "Button.h"
#include "Label.h"
#include "Compound.h"
#include "Meny.h"
#include "terminal.h"
#include "Action.h"
#include "Action_free.h"
#include <iostream>
using namespace std;
using namespace terminal_star85;
extern terminal term;
void curup(){
  term.curup();
}

void curdown(){
  term.curdown();
}

void curleft(){
  term.curleft();
}

void curright(){
  term.curright();
}

int main(){
  Session ses;
  Ptr<Label> label = Label::create(15, 10 , 23, 12);
  Value v(label);
  Ptr<Button> button = Button::create(1, 1, "JOSEF",
				      mk_action(&v, &Value::increase));
  Ptr<Button> button1 = Button::create(4, 4, "COTAIDIS",
				       mk_action(&v, &Value::decrease));
  Ptr<Meny> meny = Meny::create(24, 5, 65, 9, true);
  meny->add("HELLO", mk_action(&v, &Value::increase));
  meny->add("BABY", mk_action(&v, &Value::decrease));
  meny->add("JOS", mk_action(&v, &Value::increase));
  meny->add("COT", mk_action(&v, &Value::decrease));
  meny->add("YEAH", mk_action(&v, &Value::decrease));
  /*Ptr<Compound> compound = Compound::create(24, 5, 65, 20);
  Ptr<Button> button2 = Button::create(30, 9,43, 15, "HELLO",
				       mk_action(&v, &Value::increase));
  Ptr<Button> button3 = Button::create(45, 17, "BABY",
				       mk_action(&v, &Value::decrease));
  compound->add(button2);
  compound->add(button3);
  compound->add_com(static_cast<terminal::Keycodes>('h'), mk_action(&v, &Value::increase));
  compound->add_com(static_cast<terminal::Keycodes>('b'), mk_action(&v, &Value::decrease));*/
  Content con = ses.getContent();
  con.add(button);
  con.add(button1);
  con.add(label);
  //con.add(compound);
  con.add(meny);
  con.add_com(terminal::Rightarrowkey, mk_action(curright));
  con.add_com(terminal::Leftarrowkey, mk_action(curleft));
  con.add_com(terminal::Uparrowkey, mk_action(curup));
  con.add_com(terminal::Downarrowkey, mk_action(curdown));
  ses.setContent(con);
  ses.run();
  return 0;
}
